Bug 312391 - pirut does not work
pirut does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 11:48 EDT by Antony Kalkakos
Modified: 2007-12-31 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antony Kalkakos 2007-09-29 11:48:41 EDT
Description of problem:


Version-Release number of selected component (if applicable):

pirut-1.3.9-1.fc7

How reproducible:
Sometimes at noon (14:00) or night (22:00) yum does not seem to sync correctly 
with mirrors taking very much bandwidth. Pirut does not work at all. The
workaround is to stop the yum-updatesd daemon, kill -9 yum and/or pirut and yum
clean metadata. I am at Athens time zone.

Today when I clicked on software update notification, pirut did not came up and
some hours later yelded the debug messge.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Pirut does not work.

Expected results:


Additional info:
Component: pirut
Summary: TB5cf90941 yumRepo.py:612:_getFile:NoMoreMirrorsRepoError: failure:
repodata/primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 650, in <module>
    main()
  File "/usr/sbin/pup", line 643, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 521, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 151, in populate
    db_fn = repo.retrieveMD(mydbtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 839, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 612, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
NoMoreMirrorsRepoError: failure: repodata/primary.sqlite.bz2 from fedora: [Errno
256] No more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: None
url: None
text: None
self: fedora
cache: True
reget: None
relative: repodata/primary.sqlite.bz2
headers: ()
checkfunc: (<bound method YumRepository.checkMD of <yum.yumRepo.YumRepository
object at 0x87d2dcc>>, ('primary_db',), {})
errstr: failure: repodata/primary.sqlite.bz2 from fedora: [Errno 256] No more
mirrors to try.
copy_local: 1
end: None
local: //var/cache/yum/fedora/primary.sqlite.bz2
Comment 1 Chamontin Brigitte 2007-09-30 07:49:41 EDT
Component: pirut
Summary: TB90e50bc2 depsolve.py:223:populateTs:error: adding package to
transaction failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 337, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 743, in
applyChanges
    self.runTransaction(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 709, in
runTransaction
    self.populateTs(keepold=0)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 223, in populateTs
    self.ts.addInstall(hdr, (hdr, rpmfile), txmbr.ts_state)
error: adding package to transaction failed

Local variables in innermost frame:
ts_elem: {}
hdr: <rpm.hdr object at 0xeed0950>
self: <__main__.PackageManager object at 0x89e1f2c>
rpmfile: //var/cache/yum/livna/packages/kino-devel-1.0.0-2.lvn7.i386.rpm
keepold: 0
txmbr: kino-devel.i386 0-1.0.0-2.lvn7 - u
test: 0
Comment 2 Jeremy Katz 2007-10-16 14:14:58 EDT
An updated pirut packages is available in the Fedora 7 Updates Testing
repository which should help to resolve this problem.  Can you install this
package by running
   yum --enablerepo=updates-testing update pirut
and then see if you still can reproduce this problem?
Comment 3 Jeremy Katz 2007-12-31 09:49:45 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.